Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.filetransfer
Interface FileTransferInterceptor

    public interface FileTransferInterceptor

Interface used to capture a file transfer before it begins.

Author:
  Alexander Wenckus

Method Summary
`void` | `interceptFileTransfer(FileTransfer transfer, boolean isReady)` Invokes the interceptor on the specified file transfer.

Method Detail

### interceptFileTransfer

    void interceptFileTransfer(FileTransfer transfer,
                               boolean isReady)
                               throws FileTransferRejectedException

  Invokes the interceptor on the specified file transfer. The interceptor can either modify the file transfer or throw a FileTransferRejectedException. The file transfer went sent to the interceptor can be in two states, ready and not ready. The not ready state indicates that this event was fired when the file transfer request was sent by the initatior. The ready state indicates that the file transfer is ready to begin, and the channels can be manipulated by the interceptor.

  It is recommended for the the sake of user experience that when in the not ready state, any processing done on the file transfer should be quick.

  Parameters:
    `transfer` - the transfer being intercepted
    `isReady` - true if the transfer is ready to commence or false if this is related to the initial file transfer request. An exception at this point will cause the transfer to not go through.
  Throws:
    `FileTransferRejectedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.